oldsys-preseed (3.15) unstable; urgency=medium

  [ Michael Walle ]
  * Add support for Buffalo Linkstation LS-CHLv2/LS-XHL (Closes: #744714).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 26 Feb 2015 04:55:11 +0100

oldsys-preseed (3.14) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jul 2013 14:24:47 +0200

oldsys-preseed (3.13) unstable; urgency=low

  [ Martin Michlmayr ]
  * Ignore a missing gateway with DHCP, thanks Eugeniy Meshcheryako.
    Closes: #687212
  * Use netcfg/disable_autoconfig instead of netcfg/disable_dhcp.
    Closes: #689531

  [ Christian Perrier ]
  * Add myself to Uploaders
  * Replace XC-Package-Type by Package-Type in debian/control

 -- Julien Cristau <jcristau@debian.org>  Mon, 05 Nov 2012 22:32:44 +0100

oldsys-preseed (3.12) unstable; urgency=low

  [ Hector Oron ]
  * debian/rules: enable depends on devio-udeb for armhf

  [ Martin Michlmayr ]
  * Add support for Linkstation LiveV3 and Mini, thanks Benjamin Cama.
    Closes: #616326

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 04 May 2011 21:28:44 +0100

oldsys-preseed (3.11) unstable; urgency=low

  [ Joey Hess ]
  * Preseed ethdetect/prompt_missing_firmware, to avoid prompts about firmware
    before network-console is running.

  [ Frans Pop ]
  * Remove Standards-Version field.

  [ Ryan Tandy ]
  * Add support for Buffalo Linkstation Pro/Live.  Closes: #580709.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 21 May 2010 21:55:02 +0100

oldsys-preseed (3.10) unstable; urgency=low

  * Really fix the syntax error introduced in 3.8.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 04 Nov 2009 18:39:38 +0000

oldsys-preseed (3.9) unstable; urgency=low

  * Fix syntax error introduced in 3.8.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 03 Nov 2009 18:21:32 +0000

oldsys-preseed (3.8) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Martin Michlmayr ]
  * Add support for QNAP TS-41x.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 03 Nov 2009 18:09:00 +0000

oldsys-preseed (3.7) unstable; urgency=low

  * Fix syntax error.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 21 Apr 2009 23:49:37 +0200

oldsys-preseed (3.6) unstable; urgency=low

  * Read the MAC address on the QNAP TS-109/TS-209 in order to unset
    the machine name if it contains the MAC address.
  * Add support for the QNAP TS-119 and TS-219 Turbo NAS.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 31 Mar 2009 20:48:54 +0200

oldsys-preseed (3.5) unstable; urgency=low

  * When parsing the SysConf partition on the Linksys NSLU2, check the
    length to ensure it is not greater than the device length-4.  This
    fixes a parsing problem on uninitialized NSLU2 devices.  Thanks to
    John Bowler.  Closes: #519172.
  * Sort the test suite run alphabetically.
  * Add a copyright notice for Matt Palmer (for his contribution of
    D-Link DNS-323 support) and update debian/copyright.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 10 Mar 2009 21:17:37 +0100

oldsys-preseed (3.4) unstable; urgency=low

  * Add support for the D-Link DNS-323, thanks to a patch from
    Matt Palmer.  Closes: #502821.
  * Generate DHCP fallback information on the D-Link DNS-323, thanks
    Laurie Bradshaw.
  * Don't use the default hostname on the D-Link DNS-323 and Conceptronic
    CH3SNAS.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 08 Mar 2009 21:11:07 +0100

oldsys-preseed (3.3) unstable; urgency=low

  * Replicate the "gateway is unreachable" check from netcfg, so we don't
    end up preseeding a network configuration that netcfg won't accept.
    Thanks to Michael Hahn for a testcase and Stephen Gran for some code.
    Closes: #516806.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 24 Feb 2009 16:46:15 +0100

oldsys-preseed (3.2) unstable; urgency=low

  * Revert the change from 3.1 since my analysis was wrong.  Everything
    is working as it should (see #510271).

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 07 Jan 2009 07:31:42 +0100

oldsys-preseed (3.1) unstable; urgency=low

  * Don't preseed the hostname and domain name with default values
    because the information from DHCP no longer takes precedence.
    Instead, mark the questions as seen to let netcfg choose default
    values in case the information is not supplied by DHCP.  Closes:
    #510271.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 06 Jan 2009 18:21:27 +0100

oldsys-preseed (3.0) unstable; urgency=low

  * Stop preseeding the string "" when the netmask or gateway are empty
    because netcfg will not treat this as the empty string as I assumed
    but will complain about an invalid IP address.  Instead, mark the
    netmask variable as seen, thereby letting netcfg calculate
    an appropriate value, and set the gateway to "none" (a special case
    introduced in netcfg 1.45 to specify that no gateway should be used,
    see #497285).
  * Add a sanity check for static IP configuration: netcfg will prompt
    for an IP address and nameserver if they are not set, so use DHCP
    in that case.
  * Increase the version number to 3.0 because of this change in
    behaviour.  This change is especially intended for the Linksys NSLU2
    which uses a static IP configuration by default and many users had
    an incomplete IP configuration, meaning that the installer would
    not start.
  * Add examples where either the IP address or DNS are missing to
    the test suite.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 08 Sep 2008 16:45:46 +0300

oldsys-preseed (2.3) unstable; urgency=low

  * Don't prompt for missing NPE-B firmware to allow installations
    with USB Ethernet on the NSLU2 (see #496166).

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 23 Aug 2008 10:55:59 +0300

oldsys-preseed (2.2) unstable; urgency=low

  * No longer preseed debian-installer/locale to allow the selection
    of a language.  Closes: #491737.
  * Set DEBCONF_DROP_TRANSLATIONS=0 if we're not in lowmem mode so
    translations will be kept.
  * test suite: test for a (invalid) hostname containing space.

  [ Per Andersson ]
  * Fix parsing of the hostname on the Kurobox Pro: don't output the
    hostname twice, leading to an invalid preseed file.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 16 Aug 2008 20:12:49 +0300

oldsys-preseed (2.1) unstable; urgency=low

  * Add support for the Buffalo Kurobox Pro.  Patch from Per Andersson
    as part of his Google Summer of Code project.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 21 Jul 2008 12:58:32 +0300

oldsys-preseed (2.0) unstable; urgency=low

  * Use a static IP address when the configuration says so, even when
    this is the default value used by the original firmware.  In the
    past, oldsys-preseed would do DHCP in the assumption that the user
    never configured the static IP address and might not want to have
    that setting.  However, Mike (mwester) convinced me with his
    argument in http://lists.debian.org/debian-arm/2008/01/msg00050.html
    that doing DHCP when the configuration clearly says to use a static
    IP is a bad idea.
  * Increase the version number to 2.0 because of this change in
    behaviour.  This change affects Linksys NSLU2 and Thecus N2100.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 28 Jun 2008 13:14:32 +0200

oldsys-preseed (1.5) unstable; urgency=low

  * Add support for HP Media Vault mv2120.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Jun 2008 08:56:10 +0200

oldsys-preseed (1.4) unstable; urgency=low

  * Add support for QNAP TS-109/TS-209 and QNAP TS-409.
  * Mount partitions with configuration data read-only since we only
    need to read from them.
  * Remove some old code for wl500 and wgt634u that wasn't complete
    or in use.
  * Clarify that the code is GPLv2 or higher.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 11 May 2008 10:20:52 +0200

oldsys-preseed (1.3) unstable; urgency=low

  [ Gordon Farquharson ]
  * NSLU2: use eth1 rather than eth0 when no NPE microcode is found,
    so it try to use USB Ethernet.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 26 Feb 2007 17:14:08 +0000

oldsys-preseed (1.2) unstable; urgency=low

  [ Joey Hess ]
  * Add support for armel.
  * Fix devio dependency inclusion code for arm*.

  [ Gordon Farquharson ]
  * Allow users to select a timezone on arm/ixp4xx and arm/iop32.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 22 Feb 2007 12:02:52 +0000

oldsys-preseed (1.1) unstable; urgency=low

  * Only preseed the hostname if it's a valid name.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 26 Nov 2006 11:24:47 +0100

oldsys-preseed (1.0) unstable; urgency=low

  * Manually unset the domain on Thecus machines if it's thecus.com.
    Apparently not all firmware images contain a default.tar.gz file.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 24 Nov 2006 12:58:02 +0100

oldsys-preseed (0.7) unstable; urgency=low

  * Fix parsing of /etc/resolv.conf: don't produce a bogus debconf value
    spread over two lines when there is more than one nameserver.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 04 Nov 2006 16:54:56 +0100

oldsys-preseed (0.6) unstable; urgency=low

  * Correct the archdetect string of arm/iop32x.
  * Workaround what appears to be a bug in busybox's cut.
  * Remove some old code from the Thecus parsing that would assume
    a static network configuration even if DHCP was set.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Oct 2006 11:10:29 +0200

oldsys-preseed (0.5) unstable; urgency=low

  [ Martin Michlmayr ]
  * Preseed partconf/already-mounted (false) as a workaround for broken
    partconf.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 02 Oct 2006 11:45:59 +0200

oldsys-preseed (0.4) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for the Thecus N2100 and N4100.
  * Also handle NSLU2 when archdetect returns arm/ixp4xx.
  * Make sure the testsuite removes its temporary files.
  * Don't write a preseed file if the system is unknown - this allows it
    to put oldsys-preseed on the initrd even if not all machines are
    supported.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 22 Sep 2006 16:47:37 +0200

oldsys-preseed (0.3) unstable; urgency=low

  [ Martin Michlmayr ]
  * Explicitly run bash rather than /bin/sh in the test suite since
    it relies on features in bash.  Closes: #373243.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 13 Jun 2006 23:05:08 +0200

oldsys-preseed (0.2) unstable; urgency=low

  [ Martin Michlmayr ]
  * Depend on devio-udev on armeb.
  * In noninteractive mode, preseed an empty value for netmask and gateway
    if they're not specified in the static IP configuration, otherwise d-i
    will wait forever for the user.  Closes: #357787.

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 19 Mar 2006 17:33:46 +0000

oldsys-preseed (0.1) unstable; urgency=low

  [ Martin Michlmayr ]
  * Initial release.
  * Add support for Linksys NSLU2.
  * Add support for Netgear WGT634U.
  * Add premilinary support for Asus WL-500* but don't activate it yet.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 19 Jan 2006 13:46:23 +0000

